API: spaceflightnewsapi.net:spaceflight-news-api
Endpoint: /v4/reports/
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 484ms

Description

Returns a paginated list of mission reports and official updates (such as Starliner mission updates). These are specialized content pieces typically from spacecraft manufacturers or mission control teams. Use this for detailed mission status updates.

From spec: Returns a paginated list of space mission reports and updates.

Usage Tips

- No authentication required - Supports pagination with limit and offset parameters - Report content tends to be more technical than general news articles

Parameters (20)

limit (integer, query, optional)

Number of results to return per page.

news_site (string, query, optional)

Search for documents with a news_site__name present in a list of comma-separated values. Case insensitive.

news_site_exclude (string, query, optional)

Search for documents with a news_site__name not present in a list of comma-separated values. Case insensitive.

offset (integer, query, optional)

The initial index from which to return the results.

ordering (array, query, optional)

Order the result on `published_at, -published_at, updated_at, -updated_at`. * `published_at` - Published at * `-published_at` - Published at (descending) * `updated_at` - Updated at * `-updated_at` - Updated at (descending)

published_at_gt (string, query, optional)

Get all documents published after a given ISO8601 timestamp (excluded).

published_at_gte (string, query, optional)

Get all documents published after a given ISO8601 timestamp (included).

published_at_lt (string, query, optional)

Get all documents published before a given ISO8601 timestamp (excluded).

published_at_lte (string, query, optional)

Get all documents published before a given ISO8601 timestamp (included).

search (string, query, optional)

Search for documents with a specific phrase in the title or summary.

summary_contains (string, query, optional)

Search for all documents with a specific phrase in the summary.

summary_contains_all (string, query, optional)

Search for documents with a summary containing all keywords from comma-separated values.

summary_contains_one (string, query, optional)

Search for documents with a summary containing at least one keyword from comma-separated values.

title_contains (string, query, optional)

Search for all documents with a specific phrase in the title.

title_contains_all (string, query, optional)

Search for documents with a title containing all keywords from comma-separated values.

title_contains_one (string, query, optional)

Search for documents with a title containing at least one keyword from comma-separated values.

updated_at_gt (string, query, optional)

Get all documents updated after a given ISO8601 timestamp (excluded).

updated_at_gte (string, query, optional)

Get all documents updated after a given ISO8601 timestamp (included).

updated_at_lt (string, query, optional)

Get all documents updated before a given ISO8601 timestamp (excluded).

updated_at_lte (string, query, optional)

Get all documents updated before a given ISO8601 timestamp (included).

Examples (1)

Fetch the 2 most recent mission reports probe-gate

Demonstrates fetching recent mission reports with pagination.

curl 'https://api.spaceflightnewsapi.net/v4/reports/?limit=2'
import requests

resp = requests.get(
    "https://api.spaceflightnewsapi.net/v4/reports/",
    params={
        'limit': '2',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("spaceflightnewsapi")
result = api.fetch("v4/reports/", limit=2)

for item in result:
    print(item)
const resp = await fetch("https://api.spaceflightnewsapi.net/v4/reports/?limit=2");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:50:11.270027 200 484ms
2026-04-15 00:31:09.896359 200 490ms
2026-04-14 03:14:39.674650 200 509ms
2026-04-12 15:56:43.858800 200 564ms
2026-04-10 03:07:23.181040 200 857ms